GuideLab Docs

Get task time and timer state

GET
/production/tasks/{taskId}/time

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

taskId*string
Length1 <= length <= 200

Response Body

application/json

curl -X GET "https://example.com/production/tasks/string/time"
{  "entries": [    {      "id": "string",      "memberId": "string",      "startedAt": "string",      "endedAt": "string",      "seconds": 0,      "source": "timer",      "canCorrect": true    }  ],  "canControl": true,  "totalSeconds": 0,  "runningMemberId": "string",  "runningSince": "string",  "estimatedMinutes": 0,  "originalTargetAt": "string",  "plannedStartAt": "string",  "plannedEndAt": "string",  "warning": "string"}
Empty
Empty
Empty